## percona-server-5.6 5.6.22-rel71.0

=== debian/changelog ===
percona-server-5.6 (5.6.22-rel71.0-0ubuntu4.1) xenial; urgency=medium

  * Recompile to resolve miscompilation on s390x architecture. LP:
    #1572613

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Fri, 20 May 2016 04:30:34 +0100

percona-server-5.6 (5.6.22-rel71.0-0ubuntu4) xenial; urgency=medium

  * percona-server-test-5.6: Depend on mysql-client-5.7 instead of
    mysql-client-5.6.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 20 Apr 2016 09:15:37 +0200

percona-server-5.6 (5.6.22-rel71.0-0ubuntu3) xenial; urgency=medium

  * Depend on mysql-client instead of mysql-client-5.6 for the switch to
    MySQL 5.7 in the archive.
  * d/p/fix_testsuite_date.patch: fix dep8 test failure by bumping back
    "future" date. Taken from an update from src:mysql-5.6 in Ubuntu.
    Thanks to Marc Deslauriers.
  * d/p/ssl_dh_logjam: fix FTBFS caused by the security improvement in
    OpenSSL that rejects DH key sizes below 768 bits (see USN-2639-1).
    Cherry-picked from MySQL.
  * d/p/gcc-5_bigint: fix FTBFS with GCC 5. Cherry-picked from MySQL.

 -- Robie Basak <robie.basak@ubuntu.com>  Tue, 19 Apr 2016 20:42:26 +0000

percona-server-5.6 (5.6.22-rel71.0-0ubuntu2) vivid; urgency=medium

  [ George O. Lorch III ]
  * Force use of system libevent rather than bundled and add build
    dependency for libevent-dev.

 -- Robie Basak <robie.basak@ubuntu.com>  Thu, 19 Feb 2015 14:50:53 +0000

percona-server-5.6 (5.6.22-rel71.0-0ubuntu1) vivid; urgency=medium

  * Initial release (Closes: #757045).

 -- George Ormond Lorch III <george.lorch@percona.com>  Tue, 03 Feb 2015 12:11:37 -0700
