=== debian/control ===
Source: percona-server-5.6
Section: database
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian MySQL Maintainers <pkg-mysql-maint@lists.alioth.debian.org>
Uploaders: George Ormond Lorch III <george.lorch@percona.com>,
           Alexey Bychko <alexey.bychko@percona.com>,
           Tomislav Plavcic <tomislav.plavcic@percona.com>
Build-Depends: bison,
               chrpath,
               cmake,
               debhelper (>= 7.0.50~),
               file (>= 3.28),
               g++ (>= 4.4),
               gawk,
               gcc (>= 4.4),
               ghostscript,
               libaio-dev[linux-any],
               libevent-dev,
               libncurses5-dev (>= 5.0-6),
               libpam-dev,
               libreadline-dev,
               libssl-dev,
               libtool (>= 1.4.2-7),
               libwrap0-dev (>= 7.6-8.3),
               lsb-release,
               perl (>= 5.6.0),
               po-debconf,
               procps,
               psmisc,
               zlib1g-dev (>= 1:1.1.3-5)
Standards-Version: 3.9.6
Homepage: http://www.percona.com/software/percona-server/
Vcs-Git: git://github.com/percona/debian-percona-server-5.6.git

Package: percona-server-server-5.6
Architecture: any
Pre-Depends: adduser (>= 3.4.0), debconf, mysql-common
Depends: libdbd-mysql-perl,
         libdbi-perl,
         lsb-base (>= 3.0-10),
         mysql-common (>= 5.6.19-1~exp2),
         mysql-client,
         passwd,
         perl (>= 5.6),
         psmisc,
         ${misc:Depends},
         ${shlibs:Depends}
Provides: mysql-server, virtual-mysql-server, virtual-mysql-server-core
Breaks: mariadb-server,
        mariadb-server-10.0,
        mariadb-server-5.5,
        mariadb-server-core-10.0,
        mariadb-server-core-5.5,
        mysql-server-5.0,
        mysql-server-5.1,
        mysql-server-5.5,
        mysql-server-5.6,
        mysql-server-core-5.1,
        mysql-server-core-5.5,
        mysql-server-core-5.6,
        percona-server-server-5.1,
        percona-server-server-5.5,
        percona-xtradb-server-5.0,
        virtual-mysql-server,
        virtual-mysql-server-core
Replaces: mariadb-server,
          mariadb-server-10.0,
          mariadb-server-5.5,
          mariadb-server-core-10.0,
          mariadb-server-core-5.5,
          mysql-server-5.0,
          mysql-server-5.1,
          mysql-server-5.5,
          mysql-server-5.6,
          mysql-server-core-5.1,
          mysql-server-core-5.5,
          mysql-server-core-5.6,
          percona-server-server-5.1,
          percona-server-server-5.5,
          percona-xtradb-server-5.0,
          virtual-mysql-server,
          virtual-mysql-server-core
Description: Percona Server database server binaries
 Percona Server is a fast, stable and true multi-user, multi-threaded SQL
 database server. SQL (Structured Query Language) is the most popular database
 query language in the world. The main goals of Percona Server are speed,
 robustness and ease of use.
 .
 This package includes the server binaries.

Package: percona-server-server
Section: database
Architecture: all
Depends: percona-server-server-5.6, ${misc:Depends}
Description: Percona Server database server
 (metapackage depending on the latest version)
 This is an empty package that depends on the current "best" version of
 percona-server-server (currently percona-server-server-5.6), as determined
 by the Percona Server maintainers. Install this package if in doubt
 about which Percona Server version you need. That will install the version
 recommended by the package maintainers.
 .
 Percona Server is a fast, stable and true multi-user, multi-threaded SQL
 database server. SQL (Structured Query Language) is the most popular database
 query language in the world. The main goals of Percona Server are speed,
 robustness and ease of use.

Package: percona-server-test-5.6
Architecture: any
Depends: mysql-client-5.7,
         percona-server-server-5.6 (>= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Breaks: mariadb-test-5.5,
        mysql-testsuite,
        mysql-testsuite-5.5,
        mysql-testsuite-5.6,
        percona-server-test (<< ${source:Version}),
        virtual-mysql-testsuite
Replaces: mariadb-test-5.5,
          mysql-testsuite,
          mysql-testsuite-5.5,
          mysql-testsuite-5.6,
          percona-server-test (<< ${source:Version}),
          virtual-mysql-testsuite
Provides: virtual-mysql-testsuite
Description: Percona Server database test suite
 Percona Server is a fast, stable and true multi-user, multi-threaded SQL
 database server. SQL (Structured Query Language) is the most popular database
 query language in the world. The main goals of Percona Server are speed,
 robustness and ease of use.
 .
 This package includes the Percona Server test framework that provides
 a means for verifying that Percona Server and its client programs
 operate according to expectations

Package: percona-server-test
Architecture: all
Depends: percona-server-test-5.6 (>= ${source:Version}), ${misc:Depends}
Description: Percona Servere regression test suite
 (metapackage depending on the latest version)
 This is an empty package that depends on the current "best" version of
 percona-server-test (currently percona-server-test-5.6), as determined
 by the Percona Server maintainers.  Install this package if in doubt
 about which Percona Server version you want, as this is the one we consider
 to be in the best shape.

Package: percona-server-source-5.6
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Percona Server 5.6 source
 This package includes the source code to Percona Server as configured before
 building.

Package: percona-server-5.6-dbg
Architecture: any
Section: debug
Depends: percona-server-server-5.6 (= ${binary:Version}), ${misc:Depends}
Description: Debugging package for Percona Server
 Percona Server is a fast, stable and true multi-user, multi-threaded SQL
 database server. SQL (Structured Query Language) is the most popular database
 query language in the world. The main goals of Percona Server are speed,
 robustness and ease of use.
 .
 This package contains the debugging symbols for the Percona Server binaries.
